Skip to main content
GET
/
campaigns
/
{id}
Get a campaign
curl --request GET \
  --url https://api.getvero.com/api/v2/campaigns/{id} \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.getvero.com/api/v2/campaigns/{id}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.getvero.com/api/v2/campaigns/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "title": "Holiday Sale",
  "status": "draft",
  "channel": "email",
  "scheduled_at": null,
  "created_at": "2026-03-26T01:02:03Z",
  "updated_at": "2026-03-26T01:02:03Z"
}
{
"error": "not_found"
}
This endpoint will continue to work but is being replaced by dedicated Broadcasts and Journeys endpoints. Refer to these new endpoints in this API reference.

Authorizations

Authorization
string
header
required

Accepts either a raw API key or Bearer <key>.

Headers

revision
string

Optional dated API revision for the request. Must use YYYY-MM-DD format.

Pattern: ^\d{4}-\d{2}-\d{2}$
Example:

"2026-03-01"

Path Parameters

id
integer
required

Campaign ID.

Response

Campaign returned.

id
integer
required
title
string
required
status
string
required

Campaign status. Examples include draft and scheduled.

channel
string
required

Campaign channel, for example email.

created_at
string<date-time>
required
updated_at
string<date-time>
required
scheduled_at
string<date-time> | null

The time the campaign is scheduled to send. Null when no send time is set.